Bug 200797 - sysutils/smartmontools: [MAINTAINER] update to 6.4
Summary: sysutils/smartmontools: [MAINTAINER] update to 6.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-11 21:47 UTC by Oleksii Samorukov
Modified: 2015-06-16 09:37 UTC (History)
2 users (show)

See Also:


Attachments
Update to 6.4 (917 bytes, patch)
2015-06-11 21:47 UTC, Oleksii Samorukov
no flags Details | Diff
Poudriere testport build logs from 10.1-RELEASE amd64 (28.62 KB, text/x-log)
2015-06-12 01:54 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleksii Samorukov freebsd_committer 2015-06-11 21:47:19 UTC
Created attachment 157652 [details]
Update to 6.4

Please update smartmontools to the 6.4
Comment 1 Jason Unovitch freebsd_committer 2015-06-12 01:54:54 UTC
Created attachment 157657 [details]
Poudriere testport build logs from 10.1-RELEASE amd64

Attach Poudriere build log for validation.  The was built and tested with bug 199796 applied so both PRs can be closed at once.

Portlint is clean:

# portlint -ac
looks fine.

Runtime: Service starts and is working fine.  Smartctl commands work fine.

Buildtime: 'poudriere testport' successful on the following (from poudriere jail -l).
8.4-RELEASE-p28      amd64
8.4-RELEASE-p28      i386
9.3-RELEASE-p14      amd64
9.3-RELEASE-p14      i386
10.1-RELEASE-p10     amd64
10.1-RELEASE-p10     i386
11.0-CURRENT r284104 amd64
11.0-CURRENT r284104 i386

Only build time observation for maintainer during the configure phase is the following warnings for flags to be removed in a future release:

WARNING:
Option --with-docdir is deprecated and will be removed in a future
release of smartmontools.  Use --docdir instead.
WARNING:
Options --disable-drivedb, --enable-savestates, --enable-attributelog are
deprecated and will be removed in a future release of smartmontools.
Use --without-drivedb, --with-savestates, --with-attributelog instead.
Comment 2 Oleksii Samorukov freebsd_committer 2015-06-12 06:11:35 UTC
Thank you for your feedback, I will update patch now to follow autoconf recommendations.
Comment 3 commit-hook freebsd_committer 2015-06-16 09:30:36 UTC
A commit references this bug:

Author: tijl
Date: Tue Jun 16 09:30:04 UTC 2015
New revision: 389828
URL: https://svnweb.freebsd.org/changeset/ports/389828

Log:
  - Update to 6.4
  - Remove DOCS_CONFIGURE_(ON|OFF) because it's handled automatically by
    PORTDOCS+staging

  PR:		200797
  Submitted by:	samm@os2.kiev.ua (maintainer)

Changes:
  head/sysutils/smartmontools/Makefile
  head/sysutils/smartmontools/distinfo